Skip to content

Fetch records

Request

The API fetches multiple records at once. Allowed roles: 'users.datalake.viewers' or 'users.datalake.editors' or 'users.datalake.admins'.

Security
bearer
Headers
data-partition-idstringrequired

desired data partition id

Bodyapplication/json
recordsArray of stringsrequired

List of record ids need to be fetched.

Example:
[ "slb-osdu-prod-des-prod-testing:work-product-component--WellLog:a6d6-63fc9a0bbac1" ]
curl -i -X POST \
  https://as5.api.enterprisedata.slb.com/api/storage/v2/query/records \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'data-partition-id: string' \
  -d '{
    "records": [
      "slb-osdu-prod-des-prod-testing:work-product-component--WellLog:a6d6-63fc9a0bbac1",
      "slb-osdu-prod-des-prod-testing:work-product-component--WellLog:a6d6-63fc9a0bbac2"
    ]
  }'

Responses

Fetch multiple records successfully.

Bodyapplication/json
recordsArray of objects(Record)
Example:
[ { "id": "slb-osdu-prod-des-prod-testing:work-product-component--WellLog:a6d6-63fc9a0bbac1", "kind": "slb-osdu-prod-des-prod-testing:wks:work-product-component--WellLog:1.0.0", "acl": { … }, "legal": { … }, "data": { … }, "meta": [ … ] } ]
invalidRecordsArray of strings
retryRecordsArray of strings
Response
{ "records": [ { … } ], "invalidRecords": [ "string" ], "retryRecords": [ "string" ] }